Re: #swupdate integration error. #swupdate


tomzy
 

Hi Vishal,

It looks like there is some problem with `u-boot-fw-utils` compilation. Are you
using U-Boot in your system? Which target do you try to build? As you can see
[here](https://github.com/sbabic/meta-swupdate/blob/f2d65d87485ada5a2d3a744fd7b9e46ec7e6b9f2/recipes-support/swupdate/swupdate.inc#L73)

building update image adds `u-boot-fw-utils` to DEPENDS when U-Boot is used. And
from the logs it looks like the compilation fails because of wrong
`UBOOT_MACHINE` set. See
[here](https://git.yoctoproject.org/cgit/cgit.cgi/poky/tree/meta/recipes-bsp/u-boot/u-boot-fw-utils_2018.01.bb?h=sumo&id=b39f4146de84d7b36861859ec669d9c8e2ca77c6#n13)

 

Cheers,
--
Tomasz ┼╗yjewski
Embedded Systems Engineer
GPG: 5C495EA3EBEECA59
https://3mdeb.com | @3mdeb_com

Join yocto@lists.yoctoproject.org to automatically receive all group messages.